drop table if exists dirty_flags;
create table dirty_flags(
	dirty_flag_id serial,
	user_id integer,
	dirty_object varchar(32),
	dirty_subobject varchar(32),
	constraint dirty_flags_dirty_flag_id_pkey primary key( dirty_flag_id )
);

comment on table dirty_flags is 'storage of dirty flags';
comment on column dirty_flags.dirty_flag_id is 'unique id of dirty flags table';
comment on column dirty_flags.user_id is 'associated user';
comment on column dirty_flags.dirty_object is 'dirty object';
comment on column dirty_flags.dirty_object is 'dirty subobject';
